
From: Matt Porter <mporter@kernel.crashing.org>

Enables RIO on the MPC8540/8560 ADS ref boards.  RIO can be used with a
crossover cable between two of them.

Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/85xx/mpc85xx_ads_common.c |   10 ++++++++++
 1 files changed, 10 insertions(+)

diff -puN arch/ppc/platforms/85xx/mpc85xx_ads_common.c~rapidio-support-ppc32-fix arch/ppc/platforms/85xx/mpc85xx_ads_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_ads_common.c~rapidio-support-ppc32-fix	2005-06-18 02:49:15.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_ads_common.c	2005-06-18 02:49:15.000000000 -0700
@@ -46,6 +46,8 @@
 
 #include <mm/mmu_decl.h>
 
+#include <syslib/ppc85xx_rio.h>
+
 #include <platforms/85xx/mpc85xx_ads_common.h>
 
 #ifndef CONFIG_PCI
@@ -190,3 +192,11 @@ mpc85xx_exclude_device(u_char bus, u_cha
 }
 
 #endif /* CONFIG_PCI */
+
+#ifdef CONFIG_RAPIDIO
+void platform_rio_init(void)
+{
+	/* 512MB RIO LAW at 0xc0000000 */
+	mpc85xx_rio_setup(0xc0000000, 0x20000000);
+}
+#endif /* CONFIG_RAPIDIO */
_
